package com.shkj.wcs.third.rcs.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 任务类型枚举
 *
 * @author lch
 * @date 2023/02/02
 */
@Getter
@AllArgsConstructor
public enum RCSCallbackTaskEnum {
    /**
     * started-已开始,completed-已完成,failed-已失败,canceled-已取消
     */
    started("started", "已开始"),
    completed("completed", "已完成"),
    failed("failed", "已失败"),
    canceled("canceled", "已取消"),
    ;

    private String value;
    private String desc;
}
